repos:
-   repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.4.0
    hooks:
    -   id: check-yaml
        args: [--allow-multiple-documents]
    -   id: end-of-file-fixer
    -   id: trailing-whitespace
    -   id: check-merge-conflict
    -   id: mixed-line-ending
-   repo: https://github.com/psf/black
    rev: 22.10.0
    hooks:
    -   id: black
-   repo: https://github.com/doublify/pre-commit-clang-format
    rev: 62302476d0da01515660132d76902359bed0f782
    hooks:
    -   id: clang-format
        args: [-style=file]
-   repo: https://github.com/cheshirekow/cmake-format-precommit
    rev: v0.6.13
    hooks:
    - id: cmake-format
      additional_dependencies: [pyyaml]
      args: ['-i']
#    - id: cmake-lint
- repo: https://github.com/macisamuele/language-formatters-pre-commit-hooks
  rev: v2.11.0
  hooks:
  - id: pretty-format-toml
    args: ['--autofix']
